### Method

# GimpUi ResourceChooser set_drag_target

unstable since: 3.0

#### Declaration [src]

    void
    gimp_resource_chooser_set_drag_target (
      GimpResourceChooser* chooser,
      GtkWidget* drag_region_widget,
      const GtkTargetEntry* drag_target
    )

#### Description [src]

Called by a subclass init to specialize the instance.

Subclass knows its interior widget whose region is a drop zone. Subclass knows what things can be dropped (target.) Self (super) handles the drop.

Available since: 3.0

#### Parameters

`drag_region_widget`

  Type: `GtkWidget`

  An interior widget to be a droppable region and emit “drag-data-received” signal.

  The data is owned by the caller of the method.

`drag_target`

  Type: `GtkTargetEntry`

  The drag target to accept.

  The data is owned by the caller of the method.